<?php

require_once "conexion.php";

class ModeloUbicacionAlmacen 
{
    public static function mdlGetAlmacenesByEstado($estado)
    {
        $conn = new Conexion();
        $db = $conn->get_connection();
       
        $sql = "SELECT almacenes FROM ubicacion_almacen WHERE estado = :estado";

        $stmt = $db->prepare($sql);

        $stmt->bindParam(":estado", $estado, PDO::PARAM_STR);

        $stmt->execute();

        $response = ($stmt->rowCount() > 0) ? $stmt->fetch(PDO::FETCH_ASSOC) : false;

        $db = null;
        
        return $response;
    }
}